Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.util
Class NotImplementedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.UnsupportedOperationException
                      org.pdfclown.util.NotImplementedException

All Implemented Interfaces:
  Serializable

    public final class NotImplementedException

extends UnsupportedOperationException

Exception thrown to indicate that a block of code has not been implemented yet.

Since:
  0.0.3
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)
See Also:
  Serialized Form

Constructor Summary
`NotImplementedException()`
`NotImplementedException(String message)`
`NotImplementedException(String message, Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotImplementedException

    public NotImplementedException()

### NotImplementedException

    public NotImplementedException(String message)

### NotImplementedException

    public NotImplementedException(String message,
                                   Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.